Skip Menu |
 

This queue is for tickets about the Net-SSLeay CPAN distribution.

Report information
The Basics
Id: 107076
Status: open
Priority: 0/
Queue: Net-SSLeay

People
Owner: Nobody in particular
Requestors: SYAGI [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.70
Fixed in: (no value)



Subject: Please quote version string in META.yml
Download (untitled) / with headers
text/plain 826b
Hi, I'm using a framework called fpm to build RPM of Net::SSLeay and running into a very obscure issue because your version number is unquoted in your META.yml. In a nutshell, some YAML parsers treat unquoted 1.70 as a floating number and when parsed, spits out 1.7 instead. Of course, this wouldn't have been a problem if version didn't end with a zero; but in case of 1.70, it does. Here is an issue I opened on fpm side for reference, although we've looked at this and decided that no change was needed on their side: https://github.com/jordansissel/fpm/issues/989 The solution I'd like to ask for is one of the following: 1. simply quote version in META.yml as version: '1.70' instead of version: 1.70 2. provide META.json with the same content (fpm reads META.json first if it exists). Thank you very much, Satoshi
Subject: Re: [rt.cpan.org #107076] Please quote version string in META.yml
Date: Mon, 14 Sep 2015 15:58:36 +0930
To: "bug-Net-SSLeay [...] rt.cpan.org" <bug-Net-SSLeay [...] rt.cpan.org>
From: Mike McCauley <mikem [...] airspayce.com>
Download (untitled) / with headers
text/plain 1.3k
Thanks for your note. I am traveling at the moment and will look at it when I return. Sent from my iPhone Show quoted text
> On 14 Sep 2015, at 2:49 pm, Satoshi Yagi via RT <bug-Net-SSLeay@rt.cpan.org> wrote: > > Mon Sep 14 01:19:07 2015: Request 107076 was acted upon. > Transaction: Ticket created by SYAGI > Queue: Net-SSLeay > Subject: Please quote version string in META.yml > Broken in: 1.70 > Severity: (no value) > Owner: Nobody > Requestors: SYAGI@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=107076 > > > > Hi, > > I'm using a framework called fpm to build RPM of Net::SSLeay and running into a very obscure issue because your version number is unquoted in your META.yml. > > In a nutshell, some YAML parsers treat unquoted 1.70 as a floating number and when parsed, spits out 1.7 instead. Of course, this wouldn't have been a problem if version didn't end with a zero; but in case of 1.70, it does. > > Here is an issue I opened on fpm side for reference, although we've looked at this and decided that no change was needed on their side: > https://github.com/jordansissel/fpm/issues/989 > > The solution I'd like to ask for is one of the following: > 1. simply quote version in META.yml as version: '1.70' instead of version: 1.70 > 2. provide META.json with the same content (fpm reads META.json first if it exists). > > Thank you very much, > > Satoshi
Download (untitled) / with headers
text/plain 2.1k
I'm one of the FPM maintainers for the CPAN module. We prioritise the META.json file as it's more machine readable than the YAML and generally more common, however the issue with unquoted strings is present in both YAML and JSON. This is a feature of both formats however so I'm not sure how feasible it is to fix in upstream projects given the core issue is in the Ruby YAML and JSON libraries automatically casting and truncating trailing zeroes. Net::SSLeay is a fairly common module for our users and also one of our test cases so it would be great if this was fixed here, but we really need to resolve it in FPM itself. On Mon Sep 14 02:28:53 2015, mikem@airspayce.com wrote: Show quoted text
> Thanks for your note. I am traveling at the moment and will look at it > when I return. > > Sent from my iPhone >
> > On 14 Sep 2015, at 2:49 pm, Satoshi Yagi via RT <bug-Net- > > SSLeay@rt.cpan.org> wrote: > > > > Mon Sep 14 01:19:07 2015: Request 107076 was acted upon. > > Transaction: Ticket created by SYAGI > > Queue: Net-SSLeay > > Subject: Please quote version string in META.yml > > Broken in: 1.70 > > Severity: (no value) > > Owner: Nobody > > Requestors: SYAGI@cpan.org > > Status: new > > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=107076 > > > > > > > Hi, > > > > I'm using a framework called fpm to build RPM of Net::SSLeay and > > running into a very obscure issue because your version number is > > unquoted in your META.yml. > > > > In a nutshell, some YAML parsers treat unquoted 1.70 as a floating > > number and when parsed, spits out 1.7 instead. Of course, this > > wouldn't have been a problem if version didn't end with a zero; but > > in case of 1.70, it does. > > > > Here is an issue I opened on fpm side for reference, although we've > > looked at this and decided that no change was needed on their side: > > https://github.com/jordansissel/fpm/issues/989 > > > > The solution I'd like to ask for is one of the following: > > 1. simply quote version in META.yml as version: '1.70' instead of > > version: 1.70 > > 2. provide META.json with the same content (fpm reads META.json first > > if it exists). > > > > Thank you very much, > > > > Satoshi
Subject: Re: [rt.cpan.org #107076] Please quote version string in META.yml
Date: Mon, 21 Sep 2015 09:42:17 +1000
To: bug-Net-SSLeay [...] rt.cpan.org
From: Mike McCauley <mikem [...] airspayce.com>
Download (untitled) / with headers
text/plain 1.5k
Hello, new version of Net-SSLeay 1.71 will be released soon with version number quoted as requested. Cheers. On Monday, September 14, 2015 01:19:08 AM Satoshi Yagi via RT wrote: Show quoted text
> Mon Sep 14 01:19:07 2015: Request 107076 was acted upon. > Transaction: Ticket created by SYAGI > Queue: Net-SSLeay > Subject: Please quote version string in META.yml > Broken in: 1.70 > Severity: (no value) > Owner: Nobody > Requestors: SYAGI@cpan.org > Status: new > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=107076 > > > > Hi, > > I'm using a framework called fpm to build RPM of Net::SSLeay and running > into a very obscure issue because your version number is unquoted in your > META.yml. > > In a nutshell, some YAML parsers treat unquoted 1.70 as a floating number > and when parsed, spits out 1.7 instead. Of course, this wouldn't have been > a problem if version didn't end with a zero; but in case of 1.70, it does. > > Here is an issue I opened on fpm side for reference, although we've looked > at this and decided that no change was needed on their side: > https://github.com/jordansissel/fpm/issues/989 > > The solution I'd like to ask for is one of the following: > 1. simply quote version in META.yml as version: '1.70' instead of version: > 1.70 2. provide META.json with the same content (fpm reads META.json first > if it exists). > > Thank you very much, > > Satoshi
-- Mike McCauley VK4AMM mikem@airspayce.com Airspayce Pty Ltd 9 Bulbul Place Currumbin Waters QLD 4223 Australia http://www.airspayce.com Phone +61 7 5598-7474


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.